Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | List of all members
IpoptRJournal Class Reference

`#include <IpoptRJournal.hpp>`

Inheritance diagram for IpoptRJournal:
[legend]

## Public Member Functions
| IpoptRJournal (Ipopt::EJournalLevel default_level)
virtual | ~IpoptRJournal ()
Public Member Functions inherited from Ipopt::Journal
| Journal (const std::string &name, EJournalLevel default_level)
| Constructor. More...
virtual | ~Journal ()
| Destructor. More...
virtual std::string | Name ()
| Get the name of the Journal. More...
virtual void | SetPrintLevel (EJournalCategory category, EJournalLevel level)
| Set the print level for a particular category. More...
virtual void | SetAllPrintLevels (EJournalLevel level)
| Set the print level for all category. More...
virtual bool | IsAccepted (EJournalCategory category, EJournalLevel level) const
| Ask if a particular print level/category is accepted by the journal. More...
virtual void | Print (EJournalCategory category, EJournalLevel level, const char *str)
| Print to the designated output location. More...
virtual void | Printf (EJournalCategory category, EJournalLevel level, const char *pformat, va_list ap)
| Printf to the designated output location. More...
virtual void | FlushBuffer ()
| Flush output buffer. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Protected Member Functions
virtual void | PrintImpl (Ipopt::EJournalCategory category, Ipopt::EJournalLevel level, const char *str)
| Print to the designated output location. More...
virtual void | PrintfImpl (Ipopt::EJournalCategory category, Ipopt::EJournalLevel level, const char *pformat, va_list ap)
| Printf to the designated output location. More...
virtual void | FlushBufferImpl ()
| Flush output buffer. More...
Implementation version of Print methods. Derived classes
should overload the Impl methods.

## Detailed Description

Definition at line 23 of file IpoptRJournal.hpp.

## Constructor & Destructor Documentation

IpoptRJournal::IpoptRJournal | ( | Ipopt::EJournalLevel | default_level | ) |

virtual IpoptRJournal::~IpoptRJournal | ( |  | ) |
| inline virtual

Definition at line 30 of file IpoptRJournal.hpp.

## Member Function Documentation

virtual void IpoptRJournal::PrintImpl | ( | Ipopt::EJournalCategory | category,
|  | Ipopt::EJournalLevel | level,
|  | const char * | str
| ) |  |
| protected virtual

Print to the designated output location.

Implements Ipopt::Journal.

virtual void IpoptRJournal::PrintfImpl | ( | Ipopt::EJournalCategory | category,
|  | Ipopt::EJournalLevel | level,
|  | const char * | pformat,
|  | va_list | ap
| ) |  |
| protected virtual

Printf to the designated output location.

Implements Ipopt::Journal.

virtual void IpoptRJournal::FlushBufferImpl | ( |  | ) |
| protected virtual

Flush output buffer.

Implements Ipopt::Journal.

The documentation for this class was generated from the following file:

- contrib/RInterface/src/IpoptRJournal.hpp